Get Consent Categories History
1 min
GET
https://api.upstartcommerce.com/v1/customer/profiles/{customerId}/consents/{categoryId}/history
categoryIdstringThe unique identifier of the Consent Category to be updated.
customerIdstring<uuid>Unique identifier for the customer that the call should be interacting with.
acceptstringGenerated from available response content types
x-upstart-tenantstringTenant identifier associated with the site.
x-upstart-sitestringThe site identifier.
200OK
400The request contained information that the server was unable to process. Appropriate errors are provided in the response body.
401The provided credentials were not valid for this endpoint.
403User's roles are insufficient for this endpoint.
404The requested resource was not found in the NoChannel system.
405This is to indicate that the server has received a request with an HTTP method that is not supported for the requested resource.
412This is to indicate that the precondition of etag has failed.
415This is to indicate that the server cannot process the request because the media type of the request entity is not supported or not recognized by the server.
422<p>This is to indicate that the server understands the content type of the request entity, and the syntax of the request entity is correct, but it was unable to process the contained instructions.</p>
423<p>Consent Management is disabled or locked for the tenant, so consent operations are not allowed.</p>
500There was an internal server error.
curl --request GET \
--url https://api.upstartcommerce.com/v1/customer/profiles/{customerId}/consents/{categoryId}/history \
--header 'accept: application/json' \
--header 'x-upstart-tenant: string' \
--header 'x-upstart-site: string'